Le 31/08/2017 à 13:12, Markus Koschany a écrit :

> The error message indicates some kind of problem with plexus-utils which
> is outdated and does not ship the MatchPatterns class. I'm not sure how
> this is all related to the maven-dependency-plugin but maybe an upgrade
> to the latest upstream release of plexus-utils will resolve #871348 ?

libmaven-dependency-plugin-java depends on libplexus-utils-java, but the
plugin actually depends on plexus-utils 3.0.9, so the
libplexus-utils2-java package should have been used instead. I wonder
how this managed to work previously :) I've modified locally
maven-dependency-plugin and this error goes away (I'll upload it
shortly), but then another error appears:

[ERROR] Failed to execute goal
org.apache.maven.plugins:maven-assembly-plugin:3.0.0:single
(make-assembly) on project robocode.distribution: Failed to create
assembly: Error creating assembly archive src: Cannot transform line
endings on this kind of file: robocode-1.9.2.6/robocode.dummy.zip
[ERROR] Doing so is more or less guaranteed to destroy the file, and it
indicates a problem with your assembly descriptor.
[ERROR] This error message is new as of 2.5.3.
[ERROR] Earlier versions of assembly-plugin will silently destroy your
file. Fix your descriptor

Emmanuel Bourg

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to